import {defineConfig} from 'vite'
import { svelte } from '@sveltejs/vite-plugin-svelte'
import {viteSingleFile} from 'vite-plugin-singlefile';
import {createHtmlPlugin} from 'vite-plugin-html';
import purgeCss from 'vite-plugin-tailwind-purgecss';
import Icons from 'unplugin-icons/vite';
import {FileSystemIconLoader} from 'unplugin-icons/loaders';

export default defineConfig({
    plugins: [
        svelte(),
        Icons({
            compiler: 'svelte',
            customCollections: {
                custom: FileSystemIconLoader('./icons')
            }
        }),
        purgeCss(),
        viteSingleFile({removeViteModuleLoader: true}),
        createHtmlPlugin({minify: true})
    ],
    build: {
        minify: false
    },
    server: {
        host: '0.0.0.0',
        port: 2345,
        proxy: {
            '/api': 'http://127.0.0.1:2121'
        }
    }
})
