package de.mattv.fileserver.routes.auth;

import de.mattv.fileserver.Response;
import de.mattv.fileserver.data.Token;
import de.mattv.fileserver.data.User;
import de.mattv.fileserver.util.AuthUser;
import de.mattv.fileserver.util.UserOrShareRestController;
import de.mattv.fileserver.util.NonNull;
import org.springframework.web.bind.annotation.PostMapping;

@UserOrShareRestController
public class SessionInfo {
    @PostMapping("/session")
    private @NonNull Response.Session session(@AuthUser Token token) {
        if (token.isShare()) {
            return new Response.Session(
                    "[REDACTED]",
                    false,
                    false,
                    false,
                    token.getShareRoot(),
                    token.isShareCanRw(),
                    token.isShareRw()
            );
        }
        User user = token.getUser();
        return new Response.Session(
                user.name,
                user.tfaSecret != null,
                token.isAdmin(),
                token.inSudo(),
                null,
                false,
                false
        );
    }
}
