package de.mattv.fileserver.security;

import jakarta.servlet.http.HttpServletRequest;
import org.springframework.security.web.authentication.preauth.AbstractPreAuthenticatedProcessingFilter;

public class Filter extends AbstractPreAuthenticatedProcessingFilter {
    @Override
    protected Object getPreAuthenticatedPrincipal(HttpServletRequest request) {
        return "";
    }

    @Override
    protected Object getPreAuthenticatedCredentials(HttpServletRequest request) {
        String auth = request.getHeader("Authorization");
        if (auth == null)
            return null;
        if (auth.startsWith("Bearer "))
            return TokenService.getToken(auth.substring(7));

        return null;
    }
}
